Imports EgtBEAMWALL.Core.ConstGen
Imports EgtWPFLib5

Public Class PartManagerVM
   Inherits VMBase

   Private m_PartManager_IsEnabled As Boolean = True
   Public ReadOnly Property PartManager_IsEnabled As Boolean
      Get
         Return m_PartManager_IsEnabled
      End Get
   End Property

   Private m_Lock_Visibility As Visibility
   Public ReadOnly Property Lock_Visibility As Visibility
      Get
         'Return Visibility.Collapsed
         Return If(Not IsNothing(Map.refProjectVM.BTLStructureVM) AndAlso
                   Map.refProjectVM.BTLStructureVM.nPROJTYPE = Core.ConstBeam.BWType.WALL AndAlso
                   Map.refMainWindowVM.MainWindowM.GetKeyOption(KEY_OPT.NESTING_AUTO), Visibility.Visible, Visibility.Collapsed)
      End Get
   End Property

   Sub New()
      ' salvo riferimento in Map
      Map.SetRefPartManagerVM(Me)
   End Sub

   Friend Sub SetPartManagerIsEnabled(bIsEnabled As Boolean)
      m_PartManager_IsEnabled = bIsEnabled
      NotifyPropertyChanged(NameOf(PartManager_IsEnabled))
   End Sub

   Friend Sub LockVisibilityUpdate()
      NotifyPropertyChanged(NameOf(Lock_Visibility))
   End Sub

End Class
